Subject: Re: [pcp] WG Call for Adoption: draft-maglione-pcp-radius-ext-07

From: Dean cheng <[email-masked]>
Date: Thu, 2 May 2013 00:14:59 +0000

Thanks Tassos for your comments,
please refer to some explanations below.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Tassos Chatzithomaoglou
> Sent: Tuesday, April 30, 2013 3:30 AM
> To: Reinaldo Penno (repenno); [email-masked]
> Subject: Re: [pcp] WG Call for Adoption: draft-maglione-pcp-radius-ext-
> 07
> 
> just had a quick look and i have a question:
> 
> If i understand correctly the packet format, you can't have a PCP
> server for IPv4 and a different PCP server for IPv6, unless the same
> DNS name is used; am i right?
> Generally, how do you differentiate between v4 and v6 ones when the
> Dual-Stack context is used?
> Is this left to the NAS to decide (based on what?) which one to pass to
> the co-located DHCPv4/v6 servers, or does the NAS pass everything to
> both DHCP servers?

This draft only proposes a mechanism using RADIUS protocol with an 
extension as proposed to convey the PCP-server name from an AAA server 
to an NAS that is co-located with a DHCP or DHCPv6 server, (and as you 
suggested, could be both), as such the operating scope is limited between 
the AAA server and the NAS. The configuration required is on the AAA 
server for the PCP-server name.

This draft does not define how the configuration and overal operation 
is in a broadband network in this regard, although however, it does 
elaborate in IPv4 and IPv6 based access network, respectively, how the
proposed RADIUS message flow interacts with the DHCP/DHCPv6 message 
flow using their respective PCP-related (sub-)option.

It is out of scope for this draft as how a PCP-server name mapping
to the PCP-server IP address. However, in IPv4-only or IPv6-only 
access network, the IP address to be mapped is obvious; and in a 
dual-stack environment, it is so as well, since where the IPv4 and 
IPv6 operate in a SIN mode - if an access request is in IPv4, then 
the RADIUS message exchange between the NAS and AAA server is in 
IPv4, hence the PCP-server name received by the NAS is passed to 
DHCP server; same logic if an access request is in IPv6. With this, 
it would be possible that the same PCP-server for both IPv4 and IPv6.

> 
> ...and some minor ones...
> >    In such environment, PCP server's name can be configured on a
> RADIUS
> >    server, which then passes the information to a NAS that co-locates
> >    with the DHCPv4/DHCPv6 server, which in turn populates the
> location
> >    of the PCP server.
> 
> Shouldn't this be the opposite? DHCP server that co-locates with the
> NAS.

The "co-location" means the DHCPv4/DHCPv6 function (entity) is on the same 
platform where the NAS function (entity) is, such that through 
internal-to-the-platform communication between the two, the PCP-server 
name can be passed from the latter one to the former one.

> 
> 
> > When the co-located DHCPv6 server receives a DHCPv6 message
> >    containing the PCP Server Option, it SHALL use the name returned
> in
> >    the RADIUS attribute as defined in this memo to populate the
> DHCPv6
> >    PCP Server option defined in [I-D.ietf-pcp-dhcp
> <http://tools.ietf.org/html/draft-maglione-pcp-radius-ext-07#ref-I-
> D.ietf-pcp-dhcp>].
> 
> When the co-located DHCPv6 server receives a DHCPv6 message from a
> client containing the PCP Server Option...

Will fix this, thanks.

> 
> > The scenario with PPP Session and IPv4 only connectivity does not
> >    require DHCPv4: the whole configuration of the client is performed
> by
> >    PPP.  This case is out of scope of this document because in order
> to
> >    complete the configuration of the PCP client a new PPP IPC option
> >    would be required.
> 
> ...a new PPP IPCP option..

Will fix this, thanks.

> 
> --
> Tassos
> 
> 
> Reinaldo Penno (repenno) wrote on 26/04/2013 17:12:
> > Hello,
> >
> > This email starts a 2-week consensus call on adopting "RADIUS
> Extensions
> > for Port Control Protocol (PCP)" as a WG item.
> >
> >      Title     : RADIUS Extensions for Port Control Protocol (PCP)
> >      Author(s) : R. Maglione et al
> >      Filename  : draft-maglione-pcp-radius-ext-07
> >      URL       :
> > http://tools.ietf.org/html/draft-maglione-pcp-radius-ext-07
> >
> > Please read the current revision and state you opinion either for or
> > against adoption (and with reasoning why) in the mailing list.
> >
> > The call for adoption ends 10th May 2013.
> >
> > Thanks,
> >
> >
> > _______________________________________________
> > pcp mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/pcp
> >
> 
> _______________________________________________
> pcp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pcp